<template>
  <div class="container" id="header">
    <div class="d-flex">
      <navbar />
      <router-view style="width:80vw;"/>
    </div>
  </div>
</template>
<script>
import Navbar from "@/components/NavBar.vue";

export default {
  components: {
    Navbar,
  },
  watch: {
    $route: {
      immediate: true,
      handler(to, from) {
        document.title = to.meta.title || "Iceberg Digital Case";
      },
    },
  },
};
</script>
<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#header {
  padding: 10vh;
}
</style>
